Description

If a scale is correctly defined, then the scale of the map is changed (as it happens e.g. for Atlas printing at varying scales, or in web

printing), the number of segment of the bar is kept constant, resulting in a scale bar that can be either too big, exceeding the size of the

page, or too small.

Associated revisions

Revision 45bdae46 - 2015-05-07 02:25 PM - Sandro Mani

[FEATURE] Add scalebar sizing mode to fit a desired scalebar width (fix #8995)

History

#1 - 2013-11-04 02:19 AM - Werner Macho

I can see what you mean .. And I can imagine where the problem is .. 

But AFAIK QGIS is working fine with Scalebars..

If you change the Scale - the scalebar changes its size to stick to the scale you have set in the map and the properties of the scalebar itself..

(the item properties of the scale bar include the settings for the number of segments left and right.. and therefore must stay constant)

In conclusion I would not see it as a bug but more as a feature enhancement that the scalebar has to be treated in a special way if the scale of the map

changes automatically within using for e.g. Atlas..

I hope that is what you meant..

#2 - 2013-11-04 02:21 AM - Paolo Cavallini

Yes: I think one should be able to specify the size of the scale bar on the page, and the number of segments should be recalculated accordingly.

This could be an enhancement; having the scale bar extending outside the page, however, may be seen as a bug.

So, classification uncertain. Thanks for comments.

#3 - 2014-02-07 05:01 PM - Nyall Dawson

- Category changed from 33 to Map Composer/Printing

- Subject changed from Size of scale bar bloated (problem for Atlas, LizMap, QWC) to [composer] Size of scale bar bloated (problem for Atlas, LizMap, 

QWC)

- Tracker changed from Bug report to Feature request

#4 - 2015-05-07 05:25 AM - Sandro Mani

- Status changed from Open to Closed
Fixed in changeset commit:"45bdae461dc64cbc3e7224b13da5a3cbddf89492".
